/*reset*/
* {
    margin: 0;
    padding: 0;
    list-style: none;
    text-decoration: none;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
}

/*body*/
body {
    overflow-x: hidden;
    background-color: rgb(15, 15, 15) !important;
    color: #F5F5F5 !important;
}

/*navbar*/
.navbar.bg-dark {
    background-color: #080808 !important;
    box-shadow: 0 2px 10px rgba(136, 136, 136, 0.6) !important;
}

/*home*/
.home {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 80px 10%;
}

.home-content {
    max-width: 600px;
}

.home-content h1 {
    font-size: 30px;
    color: white;
    margin-bottom: 8px;
}

.home-content h3 {
    font-size: 20px;
    color: #E5B80B;
    margin-bottom: 20px;
}

.home-content p {
    font-size: 16px;
    line-height: 1.6 !important;
    margin-bottom: 30px;
}

/*social media*/
.social-media {
    display: flex !important;
    gap: 20px !important;
    margin-bottom: 30px;
}

.social-media a {
    font-size: 32px;
    color: white !important;
    border: 2px solid transparent !important;
    border-radius: 50% !important;
    padding: 5px !important;
    transition: all 0.3s ease !important;
}

.social-media a:hover {
    color: #FFF500 !important;
}

/*cv*/
#cv {
    display: inline-block !important;
    padding: 12px 25px !important;
    color: white;
    text-decoration: none;
    border-radius: 40px !important;
    font-weight: bold !important;
    transition: background-color 0.5s ease !important;
}

#cv:hover {
    background-color: #FFF500;
}

/*imagem*/
#home-img {
    width: 100%;
    max-width: 340px;
    aspect-ratio: 1 / 1;
    height: auto;
    padding: 15px;
    background-color: #E5B80B;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
}

#home-img img {
    width: 100%;
    height: auto;
    border-radius: 50%;
    object-fit: cover;
    object-position: center;
    /*box-shadow:  0px 25px black;*/
}
#fundoImg {
    margin-bottom: 30px !important;
}

/*habilidades*/
#habilidade {
    padding: 50px 20px;
    background-color: #c49c00;
    text-align: center;
}

#habilidade h2 {
    font-size: 2rem !important;
    color: rgb(15, 15, 15);
}

.habilidade-content {
    padding-top: 50px;
    display: flex !important;
    flex-wrap: wrap !important;
    justify-content: center ;
    gap: 30px !important;
}

.habilidade {
    background-color: rgb(15, 15, 15) !important;
    padding: 20px;
    border-radius: 15px !important;
    width: 250px;
    text-align: left !important;
    
    transition: transform 0.3s ease, box-shadow 0.3s ease !important;
}

.habilidade:hover {
    transform: translateY(-5px) scale(1.0);
    box-shadow: 4px 10px 15px #9b5a04 !important;
}

.habilidade h3 {
    margin-bottom: 15px;
    color: #c4a600;
}

.habilidade ul {
    list-style: disc inside;
    padding-left: 0;
}

.habilidade li {
    margin-bottom: 8px !important;
    font-size: 0.95rem !important;
    color: #fff8dc !important;
} 

#carousel-habilidades #imagem p {
    text-align: center;
    color: #000;
}

/*servicos*/
#servicos .container-serv {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

#servicos .container-serv .card-serv {
    display: flex;
    margin-left: 10px;
    transition: transform 0.3s ease, box-shadow 0.3s ease;
    cursor: pointer;
}

#servicos .container-serv .card-serv:hover {
    transform: translateY(5px);
    box-shadow: 0 2px 8px rgba(221, 0, 0, 0.1);
}

/*contato*/
#contato {
    padding: 150px 25px;
    text-align: center;
}

#contato h2, .text {
    color: rgb(15, 15, 15);
}

#email {
    display: inline-block !important;
    padding: 15px 40px !important;
    width: 100%;
    max-width: 350px;
    color: rgb(15, 15, 15);
    border-color: rgb(15, 15, 15);
    text-decoration: none;
    border-radius: 40px !important;
    font-weight: bold !important;
    transition: background-color 0.5s ease !important;
}

#email:hover {
    background-color: #FFF500;
    color: #F5F5F5;
    border-color: #F5F5F5;
}


#voz {
  position: fixed;
  cursor: pointer;
  bottom: 20px;
  left: 20px;
  background: #ffc107;
  color: #000;
  padding: 12px 16px;
  border-radius: 40px;
  font-weight: bold;
  border-color: #000000;
  z-index: 9999;
}

#voz.active {
  background: #000000;
  color: white;
  opacity: 0.85;
}

/*footer*/
footer {
    color: #F5F5F5 !important;
    text-align: center !important;
    margin-top: 40px !important;
    margin-bottom: 40px !important;
}


/*responsividade*/
@media (max-width: 900px) {

    .home {
        flex-direction: column;
        text-align: center;
    }

    #home-img {
        order: -1;
        margin-bottom: 30px;
    }

    .home-content {
        justify-content: center !important;
    }

    .social-media {
        justify-content: center !important;
    }

    .home-img {
        margin-bottom: 30px !important;
    }

    .fundoImg {
        margin-bottom: 30px !important;
    }

    #habilidade {
        flex-direction: column-reverse !important;
        padding: 50px 5% !important;
        text-align: center !important;
    }
}

/*scrollbar*/
::-webkit-scrollbar {
    width: 10px;
}

::-webkit-scrollbar-thumb {
    background-color: #ff9100;

}
